#!/usr/bin/env python

# Developed by Min-Su Shin
# (Department of Astrophysical Sciences, Princeton University)
# to parsing the results from Simbad batch jobs.
# This code can deal with only results from queries that
# are generated by simbad_query_builder.py.

import sys
import string

simbad_fn = sys.argv[1] # the result file from a Simbad query
output_fn = sys.argv[2] # the output filename from this code

simbad_fd = open(simbad_fn, 'r')
output_fd = open(output_fn, 'w')
# reading six lines of headers
for i in range(1,7):
	one_line = simbad_fd.readline()
# reading main contents
cnt_line = 0
while 1:
	one_line = simbad_fd.readline()
	if not one_line: break
	parts = string.split(string.strip(one_line), '|')
	if parts[0] != '' :
		if len(parts) > 1:
			main_id = parts[0]
			types = parts[1]
		else :
			main_id = 'NONE'
			types = 'NONE'
			one_line = simbad_fd.readline()
		output_str =main_id + " | " + types
		output_fd.write(output_str+"\n")
		cnt_line = cnt_line + 1
print "# total number of objects = ",cnt_line
output_fd.close()
simbad_fd.close()
