#!/usr/bin/env python

# Developed by Min-Su Shin
# (Department of Astrophysical Sciences, Princeton University)
# to parsing the results from Simbad batch jobs.
# This code can deal with only results from queries that
# are generated by simbad_query_builder.py.

import sys
import string

simbad_fn = sys.argv[1] # the file prefix of Simbad query results
num_fn = int(sys.argv[2]) # the number of query results
output_fn = sys.argv[3] # the output filename from this code

output_fd = open(output_fn, 'w')

for file_ind in range(1, num_fn+1):

	simbad_fd = open(simbad_fn+"."+str(file_ind), 'r')
	print "# processing %s" % simbad_fn
	# reading six lines of headers
	for i in range(1,7):
		one_line = simbad_fd.readline()
	# reading main contents
	cnt_line = 0
	while 1:
		one_line = simbad_fd.readline()
		if not one_line: break
		parts = string.split(string.strip(one_line), '|')
		if parts[0] != '' :
			if len(parts) > 1:
				main_id = parts[0]
				types = parts[1]
			else :
				main_id = 'NONE'
				types = 'NONE'
				one_line = simbad_fd.readline()
			output_str =main_id + " | " + types
			output_fd.write(output_str+"\n")
			cnt_line = cnt_line + 1
	print "... the number of objects in the file = ",cnt_line
	simbad_fd.close()

output_fd.close()
